From 3f7eabc693205e6b199d290a0acfdad09976d6d2 Mon Sep 17 00:00:00 2001
From: Seth Lee <lee.seth@protonmail.com>
Date: Mon, 13 Jul 2020 12:46:27 -0400
Subject: [PATCH] ob-haskell.el: Update deprecated functions

* lisp/ob-haskell.el: Update to haskell-interactive-mode from inf-haskell-mode

Deprecated commands from inf-haskell mode would send source blocks
flagged to compile to the interpreter instead of compiling in a temp
file.

TINYCHANGE
---
 lisp/ob-haskell.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/ob-haskell.el b/lisp/ob-haskell.el
index 84e2d6c42..01d658615 100644
--- a/lisp/ob-haskell.el
+++ b/lisp/ob-haskell.el
@@ -43,9 +43,9 @@
 (require 'comint)
 
 (declare-function haskell-mode "ext:haskell-mode" ())
-(declare-function run-haskell "ext:inf-haskell" (&optional arg))
+(declare-function run-haskell "ext:haskell-interactive-mode" (&optional arg))
 (declare-function inferior-haskell-load-file
-		  "ext:inf-haskell" (&optional reload))
+		  "ext:haskell-process-load-file" (&optional reload))
 (declare-function org-entry-get "org" (pom property &optional inherit literal-nil))
 
 (defvar org-babel-tangle-lang-exts)
-- 
2.24.3 (Apple Git-128)

